"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Balloons = void 0;
var _react = _interopRequireWildcard(require("react"));
var _Balloon = require("./Balloon");
var _Popper = require("./Popper");
var _dimensions = require("../constants/dimensions");
var _balloons = require("../utils/balloons");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
const SPACING = 45;
const possibleDepths = [0.9, 1];
const possibleYPositions = [150, 0, 300, 100, 250, 0, 150, 100, 300, 0];
const optimalNumberOfItems = Math.floor(_dimensions.screenWidth / SPACING);
const balloonsYPositions = (0, _balloons.getBalloonsYPositions)(optimalNumberOfItems, possibleYPositions);
const Balloons = exports.Balloons = /*#__PURE__*/(0, _react.forwardRef)(({
  spacing = SPACING,
  ...props
}, ref) => {
  return /*#__PURE__*/_react.default.createElement(_Popper.Popper, _extends({
    spacing: spacing,
    renderItem: ({
      x,
      colors
    }, index) => /*#__PURE__*/_react.default.createElement(_Balloon.Balloon, {
      key: index,
      x: x,
      y: balloonsYPositions[index],
      color: colors[index],
      r: 40,
      depth: possibleDepths[Math.floor(Math.random() * possibleDepths.length)],
      autoPlay: false
    })
  }, props, {
    ref: ref
  }));
});
//# sourceMappingURL=Balloons.js.map