"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Confettis = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _reactNativeSkia = require("@shopify/react-native-skia");
var _theming = require("../constants/theming");
var _colors = require("../utils/colors");
var _fireworks = require("../utils/fireworks");
var _dimensions = require("../constants/dimensions");
var _Confetti = require("./Confetti");
var _confettis = require("../utils/confettis");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const optimalNumberOfConfettis = 30;
const Confettis = exports.Confettis = /*#__PURE__*/(0, _react.memo)(({
  theme = _theming.FiestaThemes.Default,
  numberOfConfettis = optimalNumberOfConfettis,
  duration = _confettis.DEFAULT_ANIMATION_DURATION
}) => {
  const [displayCanvas, setDisplayCanvas] = (0, _react.useState)(true);
  const confettisToRender = (0, _react.useMemo)(() => [...Array(numberOfConfettis)], [numberOfConfettis]);
  const colors = (0, _react.useMemo)(() => (0, _colors.colorsFromTheme)(theme, numberOfConfettis), [numberOfConfettis, theme]);
  const positions = (0, _react.useMemo)(() => (0, _fireworks.generateRandomCoordinates)(numberOfConfettis, _dimensions.screenHeight / 2), [numberOfConfettis]);

  // Hide confettis after the animation is done
  (0, _react.useEffect)(() => {
    const timeout = setTimeout(() => {
      setDisplayCanvas(false);
    }, duration * 1.5);
    return () => clearTimeout(timeout);
  }, [duration]);
  if (!displayCanvas) return null;
  return /*#__PURE__*/_react.default.createElement(_reactNativeSkia.Canvas, {
    style: styles.canvas,
    pointerEvents: "none"
  }, confettisToRender.map((_, index) => /*#__PURE__*/_react.default.createElement(_Confetti.Confetti, {
    key: index,
    initialPosition: positions[index] ?? {
      x: 0,
      y: 0
    },
    color: colors[index] ?? 'red',
    index: index
  })));
});
const styles = _reactNative.StyleSheet.create({
  canvas: {
    zIndex: 1,
    ..._reactNative.StyleSheet.absoluteFillObject
  }
});
//# sourceMappingURL=Confettis.js.map