"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FireworkParticle = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNativeSkia = require("@shopify/react-native-skia");
var _reactNativeReanimated = require("react-native-reanimated");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const FireworkParticle = exports.FireworkParticle = /*#__PURE__*/(0, _react.memo)(({
  x,
  y = 0,
  finalPos,
  r = 8,
  color
}) => {
  const cx = (0, _reactNativeReanimated.useSharedValue)(x);
  const cy = (0, _reactNativeReanimated.useSharedValue)(y);
  (0, _react.useEffect)(() => {
    cx.value = (0, _reactNativeReanimated.withTiming)(finalPos.x, {
      duration: 1200,
      easing: _reactNativeReanimated.Easing.linear
    });
    cy.value = (0, _reactNativeReanimated.withTiming)(finalPos.y, {
      duration: 1200,
      easing: _reactNativeReanimated.Easing.linear
    });
  }, [cx, cy, finalPos.x, finalPos.y]);
  const transformCircle = (0, _reactNativeReanimated.useDerivedValue)(() => (0, _reactNativeSkia.vec)(cx.value, cy.value));
  return /*#__PURE__*/_react.default.createElement(_reactNativeSkia.Circle, {
    c: transformCircle,
    r: r,
    color: color
  });
});
//# sourceMappingURL=FireworkParticle.js.map