"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Fireworks = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _reactNativeSkia = require("@shopify/react-native-skia");
var _theming = require("../constants/theming");
var _Firework = require("./Firework");
var _colors = require("../utils/colors");
var _fireworks = require("../utils/fireworks");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
const optimalNumberOfFireworks = 3;
const Fireworks = exports.Fireworks = /*#__PURE__*/(0, _react.memo)(({
  autoHide,
  particleRadius,
  theme = _theming.FiestaThemes.Default,
  fireworkRadius = 400,
  numberOfFireworks = optimalNumberOfFireworks,
  ...rest
}) => {
  const fireworksToRenderArray = (0, _react.useMemo)(() => [...Array(numberOfFireworks)], [numberOfFireworks]);
  const colors = (0, _react.useMemo)(() => (0, _colors.colorsFromTheme)(theme, numberOfFireworks), [numberOfFireworks, theme]);
  const positions = (0, _react.useMemo)(() => (0, _fireworks.generateRandomCoordinates)(numberOfFireworks), [numberOfFireworks]);
  return /*#__PURE__*/_react.default.createElement(_reactNativeSkia.Canvas, {
    style: styles.canvas,
    pointerEvents: "none"
  }, fireworksToRenderArray.map((_, index) => /*#__PURE__*/_react.default.createElement(_Firework.Firework, _extends({
    key: index,
    initialPosition: positions[index],
    color: colors[index],
    autoHide: autoHide,
    particleRadius: particleRadius,
    fireworkRadius: fireworkRadius
  }, rest))));
});
const styles = _reactNative.StyleSheet.create({
  canvas: {
    ..._reactNative.StyleSheet.absoluteFillObject,
    zIndex: 1
  }
});
//# sourceMappingURL=Fireworks.js.map