"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Heart = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNativeSkia = require("@shopify/react-native-skia");
var _theming = require("../constants/theming");
var _speed = require("../constants/speed");
var _reactNativeReanimated = require("react-native-reanimated");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const Heart = exports.Heart = /*#__PURE__*/(0, _react.memo)(({
  x,
  y,
  autoplay = true,
  color = _theming.baseColors.red
}) => {
  const opacity = (0, _reactNativeReanimated.useSharedValue)(1);
  const matrix = (0, _react.useMemo)(() => (0, _reactNativeSkia.processTransform2d)([{
    translateX: x
  }, {
    translateY: y
  }, {
    scale: 0.05
  }]), [x, y]);
  (0, _react.useEffect)(() => {
    opacity.value = (0, _reactNativeReanimated.withSpring)(autoplay ? 0 : 1, _speed.singleItemFadeSpeed);
  }, [autoplay, opacity]);
  return /*#__PURE__*/_react.default.createElement(_reactNativeSkia.Path, {
    path: "m263.42 235.15c-66.24 0-120 53.76-120 120 0 134.76 135.93 170.09 228.56 303.31 87.574-132.4 228.56-172.86 228.56-303.31 0-66.24-53.76-120-120-120-48.048 0-89.402 28.37-108.56 69.188-19.161-40.817-60.514-69.188-108.56-69.188z",
    color: color,
    opacity: opacity,
    matrix: matrix
  });
});
//# sourceMappingURL=Heart.js.map