function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
import React, { forwardRef } from 'react';
import { screenWidth } from '../constants/dimensions';
import { Emoji } from './Emoji';
import { getEmojisToRender } from '../utils/emojis';
import { Popper } from './Popper';
export const EmojiPopper = /*#__PURE__*/forwardRef(({
  emojis = ['🎉'],
  font,
  spacing = 30,
  ...props
}, ref) => {
  const optimalNumberOfItems = Math.floor(screenWidth / spacing);
  const emojisToRender = getEmojisToRender(emojis, optimalNumberOfItems);
  return /*#__PURE__*/React.createElement(Popper, _extends({
    spacing: spacing,
    renderItem: ({
      x,
      y
    }, index) => /*#__PURE__*/React.createElement(Emoji, {
      key: index,
      x: x,
      y: y,
      emoji: emojisToRender[index] ?? '❓',
      font: font,
      autoHide: false
    })
  }, props, {
    ref: ref
  }));
});
//# sourceMappingURL=EmojiPopper.js.map