import React, { type ReactNode } from 'react';
import type { SkFont } from '@shopify/react-native-skia';
import { type StartPopperParams } from '../components';
export declare enum FiestaAnimations {
    Hearts = "Hearts",
    Balloons = "Balloons",
    Stars = "Stars",
    EmojiPopper = "EmojiPopper",
    Fireworks = "Fireworks"
}
interface RunFiestaAnimationParams extends StartPopperParams {
    animation: FiestaAnimations;
}
interface FiestaProviderProps {
    children?: ReactNode;
    font?: SkFont;
}
interface FiestContextType {
    runFiestaAnimation(params: RunFiestaAnimationParams): void;
}
export declare const FiestaContext: React.Context<FiestContextType>;
export declare const FiestaProvider: React.FC<FiestaProviderProps>;
export declare const useFiesta: () => {
    runFiestaAnimation: (params: RunFiestaAnimationParams) => void;
};
export {};
